> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Run

> Start an evidence-backed maintenance run using the current saved policy or a bounded subset of its scope.



## OpenAPI

````yaml /openapi.json post /v1/orgs/{orgId}/projects/{projectId}/maintenance/runs
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/maintenance/runs:
    post:
      tags:
        - projectMaintenance
      summary: Create Run
      description: >-
        Start an evidence-backed maintenance run using the current saved policy
        or a bounded subset of its scope.
      operationId: projectMaintenance.createRun
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
      requestBody:
        required: true
        x-korve-max-bytes: 1048576
        content:
          application/json:
            schema:
              type: object
              additionalProperties: false
              properties:
                categories:
                  type: array
                  minItems: 1
                  maxItems: 1
                  items:
                    type: string
                    enum:
                      - reliability
                environments:
                  type: array
                  minItems: 1
                  maxItems: 25
                  items:
                    type: string
                    minLength: 1
                    maxLength: 39
      responses:
        '202':
          description: Queued maintenance run.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  id:
                    type: string
                    format: uuid
                  trigger:
                    type: string
                    enum:
                      - scheduled
                      - manual
                      - deployment
                  status:
                    type: string
                    enum:
                      - queued
                      - running
                      - waiting_for_approval
                      - succeeded
                      - failed
                      - cancelled
                  categories:
                    type: array
                    items:
                      type: string
                      enum:
                        - reliability
                  environments:
                    type: array
                    items:
                      type: string
                  policyVersion:
                    type: integer
                    minimum: 1
                  findingCount:
                    type: integer
                    minimum: 0
                  pendingActionCount:
                    type: integer
                    minimum: 0
                  error:
                    type:
                      - string
                      - 'null'
                  startedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  finishedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  createdAt:
                    type: string
                    format: date-time
                required:
                  - id
                  - trigger
                  - status
                  - categories
                  - environments
                  - policyVersion
                  - findingCount
                  - pendingActionCount
                  - error
                  - startedAt
                  - finishedAt
                  - createdAt
        '409':
          description: An equivalent run is already active.
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````